### Method

# Gtk.TextIter.get_visible_slice

#### Declaration [src]

    char*
    gtk_text_iter_get_visible_slice (
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Returns visible text in the given range.

Like `gtk_text_iter_get_slice()`, but invisible text is not included. Invisible text is usually invisible because a `GtkTextTag` with the “invisible” attribute turned on has been applied to it.

#### Parameters

`end` | `GtkTextIter`
| iterator at end of range
| Ownership is not transferred to the callee

#### Return value

Returns: `char*`
slice of text from the buffer
Ownership of the data is transferred to the caller
The string is a NUL terminated UTF-8 string